Perlanet::Trait::Cache(3pm)

NAME
Perlanet::Trait::Cache - cache feeds with CHI

SYNOPSIS
   my $perlanet = Perlanet->new_with_traits(
      traits => [ 'Perlanet::Trait::Cache' ]
   );

   $perlanet->run;

DESCRIPTION
Every time a page is fetched it is cached first through CHI. This allows you to cache pages to a local disk for example, if the feed has not changed.

ATTRIBUTES

  cache
The Chi cache object

AUTHOR
Dave Cross, <dave@perlhacks.com>

COPYRIGHT AND LICENSE
Copyright (c) 2010 by Magnum Solutions Ltd.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.10.0 or, at your option, any later version of Perl 5 you may have available.